entmake 2

Discussion in 'AutoCAD' started by Jan van de Poel, Dec 16, 2004.

  1. In my earlier post i reported an error, it seemed to be an error from my
    side.

    This time its another issue.

    I want to create an entity at a selected point with entmake.
    I got the entmake stuff :
    (entmake '((0 . "TEXT") (10 4.0 4.0 0.0) (40 . 25.0)(7 . "VDLAAR")(8 .
    "TXT25")(1 . "My text.")))
    I got the point : (set pnt(getpoint)) -> (65985.4 14770.9 0.0)
    How to get these two together?
    I know i needs to be a list like (10 . 65985.4 14770.9 0.0)

    Should i use entlast, entmod, entupdt or is there another approach to it?

    Please some ideas.

    Jan
     
    Jan van de Poel, Dec 16, 2004
    #1
  2. Jan van de Poel

    BillZ Guest

    (cons 10 pnt)


    Bill
     
    BillZ, Dec 16, 2004
    #2
  3. Jan van de Poel

    Rudy Tovar Guest

    On another note, I would strongly suggest you switch over to vla
    functions...

    Autodesk has been removing dxf codes for certain entities, with more to
    follow...

    Use: (setq otext (addtext "example" (getpoint) 2))

    (defun addtext ( string insert height / ms)
    (setq ms (vla-get-modelspace (vla-get-activedocument
    (vlax-get-acad-object))))
    (vla-addtext ms string (vlax-3D-point insert) height)
    )

    --
    MASi
    Copyright 2004 by Cadentity
    www.Cadentity.com
    Autodesk
    Authorized Developer
     
    Rudy Tovar, Dec 16, 2004
    #3
  4. Thanks.


    Maybe i should leave that to the next generation.
    All this vla and vlax stuff just doesn't make sense to me.
    Not smart from autodesk, but what else is new.
    I'll give this a try.

    Regards,
    Jan
     
    Jan van de Poel, Dec 17, 2004
    #4
  5. This does the trick.

    Thanks.

    Jan
     
    Jan van de Poel, Dec 17, 2004
    #5
  6. Jan van de Poel

    Rudy Tovar Guest

    Actually this belongs to the previous generation, starting back in R14...

    Someone once said, "Oh, good. You're bring us into the future.." My friend
    replied, "Don't you mean the present..."

    The next gereration has come and passed....

    --
    MASi
    Copyright 2004 by Cadentity
    www.Cadentity.com
    Autodesk
    Authorized Developer
     
    Rudy Tovar, Dec 17, 2004
    #6
  7. I always try to stay on top of things, started with rel.9, 10, 12, 14, 2002
    upcoming 2005.
    Thats not the problem. Like new software and their capabilities.
    First we had Lisp and scripts, than came Diesel and C(+ / ++ / +- /
    whatever) next was the first attempt of Vlisp (rel.14) now we got Lisp,
    script, Diesel, Vlisp, VBA.

    Tomorrow is todays future. Wright?
    Today is tomorrows past. Also true.
    What about: Today is tomorrow yesterday.
    I've seen may things come and pass. (C64 - MSX - PC - 286 etc)
    Kids coming from diapers to full-grown (beautiful) woman.

    What i actually mean to say is:
    everytime a new learning curve and about 4/5 years later all the stuff is
    dumped.
    Will the new VBA stuff last longer?
    Why making this VL-editor so complicated/unlogical.
    Looks to me that the programmers at Autodesk are trying to stop people from
    creating their own stuff by making the language and environment to work in
    difficult to comprehend.

    Wright, here goes my grim.
    Don't know when you read this, anyway, have a nice weekend and if we don't
    speak/write a Merry Christmas and a very Happy New-Year to you all.

    Regards,

    Jan
     
    Jan van de Poel, Dec 18, 2004
    #7
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.